'use strict';

var React = require('react');

function _interopNamespaceDefault(e) {
  var n = Object.create(null);
  if (e) {
    Object.keys(e).forEach(function (k) {
      if (k !== 'default') {
        var d = Object.getOwnPropertyDescriptor(e, k);
        Object.defineProperty(n, k, d.get ? d : {
          enumerable: true,
          get: function () { return e[k]; }
        });
      }
    });
  }
  n.default = e;
  return Object.freeze(n);
}

var React__namespace = /*#__PURE__*/_interopNamespaceDefault(React);

var _path, _path2, _g, _defs;
var _excluded = ["title", "titleId"];
function _extends() { return _extends = Object.assign ? Object.assign.bind() : function (n) { for (var e = 1; e < arguments.length; e++) { var t = arguments[e]; for (var r in t) ({}).hasOwnProperty.call(t, r) && (n[r] = t[r]); } return n; }, _extends.apply(null, arguments); }
function _objectWithoutProperties(e, t) { if (null == e) return {}; var o, r, i = _objectWithoutPropertiesLoose(e, t); if (Object.getOwnPropertySymbols) { var n = Object.getOwnPropertySymbols(e); for (r = 0; r < n.length; r++) o = n[r], -1 === t.indexOf(o) && {}.propertyIsEnumerable.call(e, o) && (i[o] = e[o]); } return i; }
function _objectWithoutPropertiesLoose(r, e) { if (null == r) return {}; var t = {}; for (var n in r) if ({}.hasOwnProperty.call(r, n)) { if (-1 !== e.indexOf(n)) continue; t[n] = r[n]; } return t; }
var SvgCashAppDark = function SvgCashAppDark(_ref) {
  var title = _ref.title,
    titleId = _ref.titleId,
    props = _objectWithoutProperties(_ref, _excluded);
  return /*#__PURE__*/React__namespace.createElement("svg", _extends({
    xmlns: "http://www.w3.org/2000/svg",
    fill: "none",
    viewBox: "0 0 70 48",
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React__namespace.createElement("title", {
    id: titleId
  }, title) : null, _path || (_path = /*#__PURE__*/React__namespace.createElement("path", {
    fill: "#32424E",
    d: "M0 8a8 8 0 0 1 8-8h54a8 8 0 0 1 8 8v32a8 8 0 0 1-8 8H8a8 8 0 0 1-8-8z"
  })), /*#__PURE__*/React__namespace.createElement("mask", {
    id: "CashAppDark_svg__a",
    width: 68,
    height: 46,
    x: 1,
    y: 1,
    maskUnits: "userSpaceOnUse",
    style: {
      maskType: "alpha"
    }
  }, _path2 || (_path2 = /*#__PURE__*/React__namespace.createElement("path", {
    fill: "#D9D9D9",
    d: "M1 8a7 7 0 0 1 7-7h54a7 7 0 0 1 7 7v32a7 7 0 0 1-7 7H8a7 7 0 0 1-7-7z"
  }))), _g || (_g = /*#__PURE__*/React__namespace.createElement("g", {
    clipPath: "url(#CashAppDark_svg__b)"
  }, /*#__PURE__*/React__namespace.createElement("path", {
    fill: "#00D64F",
    d: "M20 23.4c0-5.04 0-7.56.98-9.486a9 9 0 0 1 3.934-3.933C26.84 9 29.36 9 34.4 9h1.2c5.04 0 7.56 0 9.486.98a9 9 0 0 1 3.933 3.934C50 15.84 50 18.36 50 23.4v1.2c0 5.04 0 7.56-.98 9.486a9 9 0 0 1-3.934 3.933C43.16 39 40.64 39 35.6 39h-1.2c-5.04 0-7.56 0-9.486-.98a9 9 0 0 1-3.933-3.934C20 32.16 20 29.64 20 24.6z"
  }), /*#__PURE__*/React__namespace.createElement("path", {
    fill: "#fff",
    fillRule: "evenodd",
    d: "M35.78 18.786c1.554 0 3.044.63 4.017 1.493a.61.61 0 0 0 .846-.017l1.158-1.174a.604.604 0 0 0-.028-.88 9.2 9.2 0 0 0-3.105-1.747l.363-1.73a.607.607 0 0 0-.594-.731H36.2c-.286 0-.534.2-.593.48l-.327 1.539c-2.976.148-5.498 1.633-5.498 4.68 0 2.636 2.087 3.766 4.289 4.549 2.086.782 3.187 1.072 3.187 2.173 0 1.13-1.1 1.797-2.724 1.797-1.48 0-3.03-.489-4.232-1.675a.604.604 0 0 0-.85-.001l-1.244 1.227a.61.61 0 0 0 .004.872c.97.942 2.199 1.624 3.601 2.006l-.341 1.603c-.08.376.204.73.59.733L34.3 34c.29.002.54-.2.599-.482l.323-1.54c3.563-.22 5.743-2.157 5.743-4.992 0-2.607-2.172-3.709-4.81-4.607-1.506-.551-2.81-.927-2.81-2.057 0-1.1 1.217-1.536 2.433-1.536",
    clipRule: "evenodd"
  }))), _defs || (_defs = /*#__PURE__*/React__namespace.createElement("defs", null, /*#__PURE__*/React__namespace.createElement("clipPath", {
    id: "CashAppDark_svg__b"
  }, /*#__PURE__*/React__namespace.createElement("path", {
    fill: "#fff",
    d: "M20 9h30v30H20z"
  })))));
};

exports.ReactComponent = SvgCashAppDark;
